Bug 60885 - ttmkfdir died when encoding.dir is present
ttmkfdir died when encoding.dir is present
Product: Red Hat Raw Hide
Classification: Retired
Component: XFree86 (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2002-03-08 02:34 EST by Young-Ho, Cha
Modified: 2007-04-18 12:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-03-08 02:34:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Young-Ho, Cha 2002-03-08 02:34:10 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.1.3 (X11; Linux i686; U;) Gecko/20020206

Description of problem:

Version-Release number of selected component (if applicable):
XFree86 4.2.0-6.32

How reproducible:

Steps to Reproduce:
1. cd /usr/X11R6/lib/X11/fonts/TTF/
2. ttmkfdir

Expected Results:  

[ganadist@ganadist TTF]$ ttmkfdir 
unexpected token FIRSTINDEX in file
/usr/X11R6/lib/X11/fonts/encodings/large/ksc5601.1992-3.enc.gz, line 8
unexpected token 0x84 in file
/usr/X11R6/lib/X11/fonts/encodings/large/ksc5601.1992-3.enc.gz, line 8
unexpected token 0x31 in file
/usr/X11R6/lib/X11/fonts/encodings/large/ksc5601.1992-3.enc.gz, line 8
unexpected token FIRSTINDEX in file
/usr/X11R6/lib/X11/fonts/encodings/large/big5.eten-0.enc.gz, line 7
unexpected token 0xA0 in file
/usr/X11R6/lib/X11/fonts/encodings/large/big5.eten-0.enc.gz, line 7


Additional info:

ttmkfdir that is contained in XFree86 4.2 can't handle word, "FIRSTINDEX"  in

please modify "encoding.l" in ttmkfdir source
Comment 1 Mike A. Harris 2002-03-10 21:25:45 EST
This problem was worked around a long time ago by removing the FIRSTINDEX
lines from the encoding files.  If you've got a patch to make ttmkfdir work
properly with FIRSTINDEX however, please attach and reopen the report.


Note You need to log in before you can comment on or make changes to this bug.